Contents
On this page

Get Settings - Plugixa Permalink Manager

GET /plugixa-permalink-manager/v1/settings

Read every setting, and the values each choice setting accepts.

Needs the plugixa_permalink_manager_view capability.

Request

GET https://your-site.example/wp-json/plugixa-permalink-manager/v1/settings

Responses

200 OK.

{
  "success": true,
  "data": {
    "settings": {
      "delete_data_on_uninstall": false,
      "debug_mode": false,
      "safe_mode": false,
      "wizard_completed": true,
      "auto_update_uris": 0,
      "force_custom_slugs": 0,
      "disable_slug_sanitization": false,
      "keep_accents": false,
      "show_native_slug_field": false,
      "partial_disable_strict": true,
      "exclude_post_ids": "",
      "exclude_term_ids": "",
      "ignore_drafts": 1,
      "redirect_status": 301,
      "canonical_redirect": true,
      "extra_redirects": true,
      "setup_redirects": true,
      "trailing_slashes": 0,
      "trailing_slash_redirect": true,
      "copy_query_redirect": true,
      "sslwww_redirect": true,
      "external_redirect_policy": "allowlist",
      "external_redirect_hosts": [],
      "max_redirects_per_item": 50,
      "edit_uris_cap": "publish_posts",
      "history_retention_days": 90,
      "partial_disable": {
        "post_types": [
          "attachment",
          "tribe_events",
          "e-landing-page",
          "elementor_library"
        ],
        "taxonomies": []
      }
    },
    "choices": {
      "auto_update_uris": [
        0,
        1,
        2
      ],
      "redirect_status": [
        0,
        301,
        302,
        307,
        308
      ],
      "post_types": [
        {
          "name": "post",
          "label": "Posts"
        },
        {
          "name": "product",
          "label": "Products"
        }
      ],
      "taxonomies": [
        {
          "name": "category",
          "label": "Categories"
        }
      ]
    }
  }
}
Field Type Meaning
data.settings object Every setting with its current value. The keys are listed in Update Settings
data.choices object For each choice setting, the values it accepts. post_types and taxonomies list the site’s public types for partial_disable

The choices example is shortened: every choice setting has an entry.

Errors

Plus the errors every endpoint can return.

Examples

curl -s "https://your-site.example/wp-json/plugixa-permalink-manager/v1/settings" \
  -u "admin:$WP_APP_PASSWORD"
<?php
$ch = curl_init('https://your-site.example/wp-json/plugixa-permalink-manager/v1/settings');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_USERPWD        => 'admin:' . getenv('WP_APP_PASSWORD'),
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
const auth = 'Basic ' + btoa(`admin:${process.env.WP_APP_PASSWORD}`);
const response = await fetch('https://your-site.example/wp-json/plugixa-permalink-manager/v1/settings', {
  headers: { 'Authorization': auth },
});
const { data } = await response.json();

Quick Links

Share